Bug 1471137 - mem-pool: mem_pool_fini() doesn't release entire memory allocated
mem-pool: mem_pool_fini() doesn't release entire memory allocated
Status: ASSIGNED
Product: GlusterFS
Classification: Community
Component: libgfapi (Show other bugs)
3.11
All All
unspecified Severity high
: ---
: ---
Assigned To: Niels de Vos
bugs@gluster.org
: Triaged
Depends On: 1470170
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 09:41 EDT by Niels de Vos
Modified: 2017-07-14 09:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niels de Vos 2017-07-14 09:41:20 EDT
+++ This bug was initially created as a clone of Bug #1470170 +++

Description of problem:

At the moment, all the work which mem_pool_fini() does is to exit and cleanup the sweeper thread. That doesn't ensure that all the memory allocated is cleaned up as some of those allocations may still be in hot list or if in cold list, sweeper thread may not have got chance to run through them.
hence we need to iterate though all those per-thread mem-pools and clean them up as part of fini()

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Niels de Vos on 2017-07-12 20:02:48 CEST ---

I'm looking into this with help from https://github.com/gluster/gluster-debug-tools/tree/master/gfapi-load-volfile

--- Additional comment from Worker Ant on 2017-07-13 13:58:57 CEST ---

REVIEW: https://review.gluster.org/17768 (mem-pool: free objects from pools on mem_pools_fini()) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Worker Ant on 2017-07-14 11:31:22 CEST ---

REVIEW: https://review.gluster.org/17768 (mem-pool: free objects from pools on mem_pools_fini()) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Worker Ant on 2017-07-14 15:37:50 CEST ---

REVIEW: https://review.gluster.org/17768 (mem-pool: free objects from pools on mem_pools_fini()) posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Worker Ant on 2017-07-14 15:37:54 CEST ---

REVIEW: https://review.gluster.org/17778 (mem-pool: remove references to unused ctx->mempool_list) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.